# This is the CRAN name
%global packname RcppGSL
# This is the main package version
%global packver 0.3
# Note that some R packages do not use packrel
%global packrel 8

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 0.fc34.lc
Summary: Ziggurat generator for normally distributed random numbers

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/RcppZiggurat/index.html
Source0: https://cran.r-project.org/src/contrib/%{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel tex(latex) R-Rcpp R-Rcpp-devel gsl-devel
Requires: R-core
%define debug_package %{nil}

%description
R package:
Ziggurat generator for normally distributed random numbers

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/NEWS.Rd
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/doc/RcppGSL-intro.Rnw
%{_libdir}/R/library/%{packname}/doc/RcppGSL-intro.pdf
%{_libdir}/R/library/%{packname}/doc/index.html
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/DESCRIPTION
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/NAMESPACE
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/R/RcppExports.R
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/R/colNorm.R
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/configure
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/configure.ac
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/man/colNorm.Rd
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/src/Makevars.in
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/src/Makevars.win
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/src/RcppExports.cpp
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/src/colNorm.cpp
%{_libdir}/R/library/%{packname}/examples/RcppGSLExample/src/colNorm_old.cpp
%{_libdir}/R/library/%{packname}/examples/bSpline/bSpline.R
%{_libdir}/R/library/%{packname}/examples/bSpline/bSpline.cpp
%{_libdir}/R/library/%{packname}/include/RcppGSL.h
%{_libdir}/R/library/%{packname}/include/RcppGSLForward.h
%{_libdir}/R/library/%{packname}/include/RcppGSL_matrix.h
%{_libdir}/R/library/%{packname}/include/RcppGSL_matrix_view.h
%{_libdir}/R/library/%{packname}/include/RcppGSL_typedef.h
%{_libdir}/R/library/%{packname}/include/RcppGSL_types.h
%{_libdir}/R/library/%{packname}/include/RcppGSL_vector.h
%{_libdir}/R/library/%{packname}/include/RcppGSL_vector_view.h
%{_libdir}/R/library/%{packname}/libs/RcppGSL.so
%{_libdir}/R/library/%{packname}/skeleton/Makevars.in
%{_libdir}/R/library/%{packname}/skeleton/Makevars.win
%{_libdir}/R/library/%{packname}/skeleton/configure
%{_libdir}/R/library/%{packname}/skeleton/configure.win
%{_libdir}/R/library/%{packname}/tinytest/cpp/gsl.cpp
%{_libdir}/R/library/%{packname}/tinytest/test_client_package.R
%{_libdir}/R/library/%{packname}/tinytest/test_fastLm.R
%{_libdir}/R/library/%{packname}/tinytest/test_gsl.R

%changelog
* Tue Jul 27 2021 Stuart Raeburn <raeburn@loncapa.org> (0.3.8)
- Initial build 

